import React, { Component } from 'react';
import { Button, Col, FormGroup, Row, InputGroup, Input, Progress, CardHeader, InputGroupAddon, Modal, ModalBody, Label, Card, CardBody, Table, Pagination, PaginationItem, PaginationLink } from 'reactstrap';
import '../../StyleSheet/Default.css'

var data= require('../Services/Services.json')
class Allservice extends Component {
    constructor(props) {
        super(props);
        this.state = {
            modal: false,
            modal1: false,
            serviceData:data
        }
        this.toggle = this.toggle.bind(this);
        this.toggle1 = this.toggle1.bind(this);
    }

    toggle(Id) {
        console.log("selected array Id=", Id)
        this.setState({
            modal: !this.state.modal,
            serviceId:Id
        });
    }
    toggle1() {
        this.setState({
            modal1: !this.state.modal1,
        });
    }


    render() {
        var serviceForModal=[];
        if(this.state.serviceId)
        {
            this.state.serviceData.map(service=>{
                if(service.id===this.state.serviceId)
                {
                    serviceForModal.push(service)
                }
            });
        }
        return (
            <div className="animated fadeIn">
                {/* Modal for Create Service */}
                <Modal isOpen={this.state.modal1} toggle={this.toggle1} className={'modal-xl ' + this.props.className}>
                    <ModalBody>
                        <Card className="p-lr6">
                            <CardBody>
                                <h4 className="m-b2">CREATE SERVICE</h4>
                                <Row className="m-t1">
                                    <Col  sm="12" md="12"  lg="6" xl="3">
                                        <Label  className="modal-title-cmp">Service Type</Label>
                                        <Input type="text" className="modal-input-cmp p-l10"></Input>
                                    </Col>
                                    <Col sm="12"  md="12" lg="6" xl="3">
                                        <Label  className="modal-title-cmp">Service Description</Label>
                                        <Input type="text" className="modal-input-cmp p-l10"></Input>
                                    </Col>
                                    <Col sm="12"  md="12" lg="6" xl="3">
                                        <Label  className="modal-title-cmp">Break Down Date</Label>
                                        <Input type="date" className="modal-input-cmp p-l10"></Input>
                                    </Col>
                                    <Col sm="12"  md="12" lg="6" xl="3">
                                        <Label  className="modal-title-cmp">Break Down Time</Label>
                                        <Input type="time" className="modal-input-cmp p-l10"></Input>
                                    </Col>
                                </Row>
                                <Row className="m-t1">
                                    <Col sm="12"  md="12" lg="6" xl="3">
                                        <Label  className="modal-title-cmp">Material</Label>
                                        <Input type="text" className="modal-input-cmp p-l10"></Input>
                                    </Col>
                                    <Col sm="12"  md="12" lg="6" xl="3">
                                        <Label  className="modal-title-cmp">Material Description</Label>
                                        <Input type="text" className="modal-input-cmp p-l10"></Input>
                                    </Col>
                                    <Col sm="12"  md="12" lg="6" xl="3">
                                        <Label  className="modal-title-cmp">Author No.</Label>
                                        <Input type="text" className="modal-input-cmp p-l10"></Input>
                                    </Col>
                                    <Col sm="12"  md="12" lg="6" xl="3">
                                        <Label  className="modal-title-cmp">Name</Label>
                                        <Input type="text" className="modal-input-cmp p-l10"></Input>
                                    </Col>
                                </Row>
                                <Row className="m-t1">
                                    <Col sm="12">
                                        <FormGroup>
                                            <Label  className="modal-title-cmp">Problem Descripton</Label>
                                            <Input type="textarea" className="modal-input-cmp p-l10"></Input>
                                        </FormGroup>
                                    </Col>
                                </Row>
                                <Row className="m-t3 m-b2">
                                    <Col xl="6" md="4" sm="12">
                                        <Button type="button" color="danger" className="p-lr3" >DELETE</Button>
                                    </Col>
                                    <Col xl="3" md="4" sm="12">
                                        <Button onClick={this.toggle1} type="button" outline color="danger" className="p-lr3 cmp-floatRight" >CANCEL</Button>
                                    </Col>
                                    <Col xl="3" md="4" sm="12">
                                        <Button type="button" color="success" className="p-lr3 cmp-floatRight" >CREATE</Button>
                                    </Col>
                                </Row>
                            </CardBody>
                        </Card>
                    </ModalBody>
                </Modal>

                {/* Modal for Create service ends here */}

                {/*Modal for viewing a service*/}
                <Modal isOpen={this.state.modal} toggle={this.toggle} className={'modal-xl ' + this.props.className}>
                    <ModalBody>
                        {serviceForModal.map(service=>
                            <Card>
                            <CardBody>
                                <h4 className="m-b2">{service.id}, {service.service}</h4>
                                <Row>
                                    <Col lg="3">
                                        <Label  className="modal-title-cmp">Service Type</Label>
                                        <Card className="modal-input-cmp p-l10"><Label className="fs-1 p-t5px">{service.service}</Label></Card>
                                    </Col>
                                    <Col lg="3">
                                        <Label  className="modal-title-cmp">Status</Label>
                                        <Card className="modal-input-cmp p-l10"><Label className="fs-1 p-t5px">{service.status}</Label></Card>
                                    </Col>
                                    <Col lg="6">
                                        <Label  className="modal-title-cmp">Percentage Completed</Label>
                                        <Card className="modal-input-cmp p-l10"><Label className="fs-1 p-t5px">{service.percentage}%</Label></Card>
                                    </Col>
                                </Row>
                                <Row>
                                    <Col lg="3">
                                        <FormGroup>
                                            <Label  className="modal-title-cmp">Estimated Date</Label>
                                            <Card className="modal-input-cmp p-l10"><Label className="fs-1 p-t5px">{service.estimatedDate}</Label></Card>
                                        </FormGroup>
                                    </Col>
                                    <Col lg="3">
                                        <Label  className="modal-title-cmp">Reference Date</Label>
                                        <Card className="modal-input-cmp p-l10"><Label className="fs-1 p-t5px">{service.referenceDate}</Label></Card>
                                    </Col>
                                    <Col lg="3">
                                        <Label className="modal-title-cmp">Last Update Date</Label>
                                        <Card className="modal-input-cmp p-l10"><Label className="fs-1 p-t5px">{service.lastUpdated}</Label></Card>
                                    </Col>
                                    <Col lg="3">
                                        <Label  className="modal-title-cmp">Updated By</Label>
                                        <Card className="modal-input-cmp p-l10"><Label className="fs-1 p-t5px">{service.updatedBy}</Label></Card>
                                    </Col>
                                </Row>
                                <Row>
                                    <Col lg="3">
                                        <FormGroup>
                                            <Label  className="modal-title-cmp">Break Down Date</Label>
                                            <Card className="modal-input-cmp p-l10"><Label className="fs-1 p-t5px">{service.breakDownDate}</Label></Card>
                                        </FormGroup>
                                    </Col>
                                    <Col lg="3">
                                        <Label  className="modal-title-cmp">Break Down Time</Label>
                                        <Card className="modal-input-cmp p-l10"><Label className="fs-1 p-t5px">{service.breakDownTime} hrs</Label></Card>
                                    </Col>
                                    <Col lg="3">
                                        <Label  className="modal-title-cmp">Total Amount</Label>
                                        <InputGroup>
                                            <InputGroupAddon addonType="prepend">$</InputGroupAddon>
                                            <Card className="modal-input-cmp p-l10 m-0 p-t5px width13"><Label className="fs-1">{service.totalAmount}</Label></Card>
                                            {/* <InputGroupAddon addonType="append">.00</InputGroupAddon> */}
                                        </InputGroup>
                                    </Col>
                                    <Col lg="3">
                                        <Label  className="modal-title-cmp">Total Material</Label>
                                        <InputGroup>
                                            <InputGroupAddon addonType="prepend">$</InputGroupAddon>
                                            <Card className="modal-input-cmp p-l10 m-0 p-t5px width13"><Label className="fs-1">{service.totalMaterial}</Label></Card>
                                            {/* <InputGroupAddon addonType="append">.00</InputGroupAddon> */}
                                        </InputGroup>
                                    </Col>
                                </Row>
                                <Row>
                                    <Col lg="3">
                                        <FormGroup>
                                            <Label  className="modal-title-cmp">Total Labour Value</Label>
                                            <InputGroup>
                                            <InputGroupAddon addonType="prepend">$</InputGroupAddon>
                                            <Card className="modal-input-cmp p-l10 m-0 p-t5px width13"><Label className="fs-1">{service.totalLabour}</Label></Card>
                                            {/* <InputGroupAddon addonType="append">.00</InputGroupAddon> */}
                                        </InputGroup>
                                        </FormGroup>
                                    </Col>
                                    <Col lg="3">
                                        <Label  className="modal-title-cmp">Total External Service</Label>
                                        <InputGroup>
                                            <InputGroupAddon addonType="prepend">$</InputGroupAddon>
                                            <Card className="modal-input-cmp p-l10 m-0 p-t5px width13"><Label className="fs-1">{service.totalExternal}</Label></Card>
                                            {/* <InputGroupAddon addonType="append">.00</InputGroupAddon> */}
                                        </InputGroup>
                                    </Col>
                                    <Col lg="3">
                                        <Label  className="modal-title-cmp">Material</Label>
                                        <Card className="modal-input-cmp p-l10"><Label className="fs-1 p-t5px">{service.material}</Label></Card>
                                    </Col>
                                    <Col lg="3">
                                        <Label  className="modal-title-cmp">Material Description</Label>
                                        <Card className="modal-input-cmp p-l10"><Label className="fs-1 p-t5px">{service.materialDescription}</Label></Card>
                                    </Col>
                                </Row>
                                <Row>
                                    <Col lg="12">
                                        <FormGroup>
                                            <Label  className="modal-title-cmp">Problem Descripton</Label>
                                            <Card className="modal-input-cmp p-l10"><Label className="fs-1 p-t5px">{service.description}</Label></Card>
                                        </FormGroup>
                                    </Col>
                                </Row>
                                <Row className="m-t3 m-b2">
                                    <Col lg="7" md="4">
                                        <Button type="button" color="danger" className="p-lr2" >DELETE</Button>
                                    </Col>
                                    <Col lg="3" md="4">
                                        <Button onClick={this.toggle} type="button" outline color="danger" className="p-lr2 cmp-floatRight">CANCEL</Button>
                                    </Col>
                                    <Col lg="2"md="4">
                                        <Button type="button" color="success" className="p-lr2 cmp-floatRight" >REGISTER</Button>
                                    </Col>
                                </Row>
                            </CardBody>
                        </Card>
                        )}
                    </ModalBody> 
                </Modal>
                {/*Modal for viewing a service ends here*/}

                <Row className="display-block cmp-floatRight m-b-5px">
                    <div >
                         <Button onClick={this.toggle1} type="button" color="primary"  className="createbutton">CREATE SERVICE</Button>
                    </div>
                </Row>
                <Row className="display-block">
                <Card className="col-12 p-0">
                  <CardHeader>
                            <div >
                                <InputGroup>
                                    <Col>
                                        <h5 className="pt-10">SERVICE LIST</h5>
                                    </Col> 
                                    <Col>
                                    <div className="cmp-floatRight">
                                    <InputGroup>
                                        <Col xs="9">
                                        <Input id="appendedInputButton" className="cmp-searchBar-width"  placeholder="Search for Service ID...." type="text" />
                                        </Col> 
                                        <InputGroupAddon addonType="append">
                                        <Button color="info">Go!</Button>
                                        </InputGroupAddon>
                                    </InputGroup>
                                    </div>
                                    </Col>
                                </InputGroup>
                            </div>
                  </CardHeader>
                  <CardBody>
                            <Table responsive striped size="lg" >
                                <thead>
                                    <tr>
                                        <th>SERVICE</th>
                                        <th className="center">STATUS</th>
                                        <th className="center p-r4">DATE</th>
                                        <th>DESCRIPTION</th>
                                        <th>  </th>
                                    </tr>
                                </thead>
                                <tbody>
                        {this.state.serviceData.map(service=>
                        <tr>
                            <td>
                                <div className="displayFlex">
                                    <p className="title-cmp padding0 margin0">{service.service}</p>
                                    <p className="title-cmp margin0 cmp-checkColor">, {service.ove}</p>
                                </div>
                              
                              <p className="description-cmp cmp-mw-18">{service.description}</p>
                            </td>
                   
                            <td>
                            <Row >
                                <Col className="displayFlex title-cmp" sm="3">{service.percentage}%</Col>
                                <Col sm="9" className="">
                                   <p className="cmp-border0 cmp-floatRight">
                              
                                {service.percentage < 25 ? <Label className="txt-cmp-danger cmp-smallFont-Bold">Over Due</Label> : null}
                                {(service.percentage >= 25) && (service.percentage < 60) ? <Label className="txt-cmp-warning cmp-smallFont-Bold" >Delay</Label> : null}
                                {(service.percentage >= 60) && (service.percentage <= 99) ? <Label className="txt-cmp-info cmp-smallFont-Bold">On Track</Label> : null}
                                {service.percentage == 100 ?<Label className="txt-cmp-success cmp-smallFont-Bold">Completed</Label> : null}                      
                                
                                </p></Col>
                            </Row>             
                            <Row>

                                {service.percentage < 25 ? <Col><Progress value={service.percentage} color="danger" className="mb-3" className="progress-cmp" /></Col> : null}
                                {(service.percentage >= 25) && (service.percentage < 60) ? <Col><Progress value={service.percentage} color="warning" className="mb-3" className="progress-cmp" /></Col> : null}
                                {(service.percentage >= 60) && (service.percentage < 100) ? <Col><Progress value={service.percentage} color="info" className="mb-3" className="progress-cmp" /></Col> : null}
                                {service.percentage > 99 ? <Col><Progress value={service.percentage} color="success" className="mb-3" className="progress-cmp" /></Col> : null}

                            </Row>
                            </td>
                            <td>
                                <Row>
                                <Col>
                                    <p className="cmp-checkColor m-0 cmp-smallFont">Created on: {service.StartDate}</p> 
                                    <p className="cmp-smallFont-Bold">Estimated on: {service.EndDate}</p></Col>                    
                                </Row>
                            </td>
                                <td>
                                    <p className=" m-0">{service.serviceDetail}</p>
                                    <p className="text-muted small m-0">Last Updated: {service.lastUpdated}</p>
                                </td>
                                <td><Button type="button" size="sm" color="info" onClick={this.toggle.bind(this, service.id)}>View</Button></td>
                        </tr> 
                        )}
                       
                    </tbody>
                            </Table>
                        </CardBody>

                            </Card>
                        </Row>
               


                    <Pagination className="pagin">
                        <PaginationItem>
                            <PaginationLink previous tag="button"></PaginationLink>
                        </PaginationItem>
                        <PaginationItem active>
                            <PaginationLink tag="button">1</PaginationLink>
                        </PaginationItem>
                        <PaginationItem>
                            <PaginationLink tag="button">2</PaginationLink>
                        </PaginationItem>
                        <PaginationItem>
                            <PaginationLink tag="button">3</PaginationLink>
                        </PaginationItem>
                        <PaginationItem>
                            <PaginationLink next tag="button"></PaginationLink>
                        </PaginationItem>
                    </Pagination>

             
            </div>
        );
    }
}

export default Allservice;
